> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Us Corporate Events



## OpenAPI

````yaml /openapi.json get /us/corporate-events
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /us/corporate-events:
    get:
      tags:
        - US · events
      summary: Us Corporate Events
      operationId: us_corporate_events_us_corporate_events_get
      parameters:
        - name: ticker
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ticker
        - name: issuer_cik
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Issuer Cik
        - name: item_number
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Item Number
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: End Date
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: As Of
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CorporateEventsResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    CorporateEventsResponse:
      properties:
        events:
          items:
            $ref: '#/components/schemas/CorporateEvent'
          type: array
          title: Events
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - events
        - meta
      title: CorporateEventsResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    CorporateEvent:
      properties:
        accession_number:
          type: string
          title: Accession Number
        issuer_cik:
          type: string
          title: Issuer Cik
        issuer_ticker:
          anyOf:
            - type: string
            - type: 'null'
          title: Issuer Ticker
        filing_type:
          type: string
          title: Filing Type
        event_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Event Date
        filing_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Filing Datetime
        item_number:
          type: string
          title: Item Number
        item_name:
          type: string
          title: Item Name
        text:
          type: string
          title: Text
        source_offsets:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Source Offsets
        parser_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Parser Version
        knowledge_time:
          type: string
          format: date-time
          title: Knowledge Time
        source_id:
          type: string
          title: Source Id
          default: sec_edgar
      type: object
      required:
        - accession_number
        - issuer_cik
        - filing_type
        - item_number
        - item_name
        - text
        - knowledge_time
      title: CorporateEvent
    Meta:
      properties:
        jurisdiction:
          anyOf:
            - type: string
              enum:
                - US
                - IN
                - CN
            - type: 'null'
          title: Jurisdiction
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        normalization_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalization Version
        provenance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provenance
      type: object
      title: Meta
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````